org.eclipse.spi.net4j

## Class Channel.ReceiverWork

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.RunnableWithName
  - - org.eclipse.spi.net4j.Channel.ReceiverWork

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    Channel

      protected class Channel.ReceiverWork
      extends RunnableWithName

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReceiverWork(IBuffer buffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doRun()`
    `String` | `getName()`

    - ### Methods inherited from class org.eclipse.net4j.util.concurrent.RunnableWithName

      `run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReceiverWork

          public ReceiverWork(IBuffer buffer)

      Since:
        3.0

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in class `RunnableWithName`
      Since:
        4.5

    - #### doRun

          protected void doRun()

      Specified by:
        `doRun` in class `RunnableWithName`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html